> For the complete documentation index, see [llms.txt](https://docs.materialsproject.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.materialsproject.org/methodology/mof-methodology/calculation-parameters/dft-workflow.md).

# DFT Workflow

If you wish to run a QMOF-compatible workflow, we currently recommend using [QuAcc](https://github.com/arosen93/quacc), which has a QMOF "recipe" available at `from quacc.recipes.vasp.qmof`.

First, install QuAcc via `pip install quacc[vasp]`. The QMOF workflow can be run via the following code-block after the setup process is completed:

```python
import covalent as ct
from ase.io import read
from quacc.recipes.vasp.qmof import qmof_relax_job

# Read a MOF CIF
mof = read("mymof.cif")

# Make a QMOF-compatible job with on-the-fly error handling
workflow = ct.lattice(qmof_relax_job)

# Dispatch the workflow to the Covalent server
# with the Atoms object as the input
dispatch_id = ct.dispatch(workflow)(mof)

# Fetch the result from the server, if present
result = ct.get_result(dispatch_id)
print(result)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.materialsproject.org/methodology/mof-methodology/calculation-parameters/dft-workflow.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
